#ifndef QAD_GRAPHIC_H
#define QAD_GRAPHIC_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class QADGraphic: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADGraphic(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // QAD_GRAPHIC_H
